<?php
require("../conexion.php");
include ("../funciones/fechas.php"); 

$codconsignacion=$_GET["codconsignacion"];



$consulta = "SELECT * FROM consignacion WHERE codconsignacion='$codconsignacion'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numconsignacion = $fila["numconsignacion"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		$codconsignacion = $fila["codconsignacion"];
		$modpro = $fila["modpro"];
		$obsfac = $fila["obsped"];

		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
?>

<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		
	
	
	function chequearEnter(event) {
    if (event.keyCode == 13) {  ocultarVentana(); }
} 
		

		
		//////////////////////////////  funcion imprimir  ///////////////////////////////
		
		

	
	
	function imprimir_punto_venta(codconsignacion) {
	
	
	if (document.getElementById("marcaborrado").value==1) {
  
   alert ("Factura ya fue anulada no puede ser reimpresa favor verifique")
  
	 
	} else {	
				window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER_REIMPRESA.php?codconsignacion="+codconsignacion);
			
			}
		}


	
	function imprimir_pdf(codconsignacion) {
	
	
				  var chkimp="ninguno";
 
        var porNombre=document.getElementsByName("chkimp");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
               chkimp=porNombre[i].value;
        }
		
		
		
	if (document.getElementById("marcaborrado").value==1) {
  
   alert ("Factura ya fue anulada no puede ser reimpresa favor verifique")
  
	 
	} else {	
				window.open("../fpdf/imprimir_Original.php?codconsignacion="+codconsignacion + "&chkimp="+chkimp);
				window.open("../fpdf/imprimir_Copia.php?codconsignacion="+codconsignacion + "&chkimp="+chkimp);
			
			}
		}



function ocultarVentana()
{
    var ventana = document.getElementById('miVentana');
    ventana.style.display = 'none';
	
	}
	
	
	function seleccionaFoco(){ 
   	document.formulario_emergente.boton.focus() 
   	document.formulario_emergente.texto.select() 
}
	
					function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

	   	function inicio() {
			document.getElementById("formulario_lineas").submit();
		}
		
		</script>


	</head>
		<body onLoad=" inicio(); ">
		<div id="">
		  <div id="zonaVentanas">
         	<div class="contenidoFactura">
			   <div align="center">
			     <form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_ver.php" target="frame_lineas" >	
			<input  name="marcaborrado" type="hidden"  id="marcaborrado"  value="<?php echo $marcaborrado?>" />
				<input  name="numfac" type="hidden"  id="numfac"  value="<?php echo $codconsignacion?>" />
				   <input  name="cdgcli" type="hidden"  id="cdgcli"  value="<?php echo $cdgcli ?>" />
						<input  name="codfactura2" type="hidden"  id="codfactura2"  value="<?php echo $codconsignacion	?>" />
			
			
			     </form>
				
  <table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
					   <?php 

						
						    $consulta2 ="SELECT * FROM web_0301 WHERE cdgcli=$cdgcli"; 
							$resultado2 = $mysqli->query($consulta2);
							$row = $resultado2->fetch_array();
						  
						   ?>
					   <tr>
						   <td width="11%" height="26">Cliente</td>
						   <td width="57%"><?php echo  $row["DSCCLI"] ;?></td>
							<td width="15%">N. Pedido </td>
							<td width="17%"><?php echo $numconsignacion?></td>
				       </tr>
					   <tr>
						   <td width="11%"><p>Cédula</p></td>
					       <td><?php echo $row["CEDCLI"];?></td>
					       <td>Fecha</td>
					       <td><?php echo $fecha ?></td>
				       </tr>
					   <tr>
					     <td>Direcci&oacute;n</td>
					     <td><?php echo $row["DIRCLI"]; ?></td>
					     <td colspan="2"><input  type="checkbox" id="chkimp" name="chkimp"  value="1"  onClick=""  onChange=""  >
					     Imprimir Observación</td>
	      </tr>
					   <tr>
					     <td>Observación</td>
					     <td colspan="3"><?php echo $obsfac; ?></td>
			         </tr>
			         <br>
				     <tr>
					     <td></td>
					     <td colspan="3"></td>
				     </tr>
			     </table>
               </div>
						<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="9%"><span >CODIGO</span></td>
							<td width="49%"><span >DETALLE</span></td>
							<td width="8%"><span>CANTIDAD</span></td>
							<td width="8%"><span >PRECIO</span></td>
							<td width="10%"><span>DCTO %</span></td>
							<td width="8%"><span>MONTO</span></td>
							<td width="3%">&nbsp;</td>
						</tr>
				</table>
						<div id="lineaResultado2">
				  <iframe width="100%" height="380" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="380" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>	
					
		    </div>
		  </div>
			  </div>
		  </div>
		</div>
	    <div id="botonBusquedaFACTURA">
	      <div align="center"><img src="../img/Symbol-Check_48x48-32.png" width="48" height="48"  border="0" onMouseOver="style.cursor=cursor" onClick="aceptar()"></div>
        </div>
	</body>
</html>
